Subject: Re: FW: publish draft: draft-ietf-opes-authorization-01

From: Markus Hofmann <[email-masked]>
Date: Mon, 03 Feb 2003 10:24:29 -0500

Weisong Shi wrote:

>     I don't think the notion of group and membership is a good idea 
> here. Sometime, it is incorrect.  For example, let assume user Alice 
> wants service 1 and service 2, and in the order 1,2. user Bob wants 
> service 2 and service 1 too, but in the order 2,1.  In this case, 
> without calling the service for each request send by either Alice or 
> Bob, we can not guarantee the correcness of service execution.

In this particular case, you could specify two separate groups - the 
first one includes users who 'subscribed' to executing service 1 
followed by service 2, and a second group of users who 'subscribed' to 
executing the two services in reverse order. The notion of groups is 
still beneficial, since there can be multiple users in both groups.

-Markus